/*
 * @Author: PoJun
 * @Date: 2023-08-18 14:01:44
 * @LastEditors: PoJun
 * @LastEditTime: 2024-01-18 14:56:42
 * @Message: Nothing
 */
// 自定义配置，参考 ./default/setting.config.js，需要自定义的属性在这里配置即可
module.exports = {
    theme: {
        color: "#722ed1",
        mode: "light",
        success: "#52c41a",
        warning: "#faad14",
        error: "#f5222f",
    },
    fixedTabs: true, //固定页签头，true:固定，false:不固定
    fixedHeader: true,
    multiPage: true,
    animate: {
        name: "fade",
        direction: "default",
    },
    asyncRoutes: true, // 是否异步路由
};
