/*
 * @Author: PoJun
 * @Date: 2023-08-28 11:22:46
 * @LastEditors: PoJun
 * @LastEditTime: 2023-08-30 14:22:17
 * @Message: Nothing
 */
import { $get, $post } from "../config/http.js";
/** 获取系统信息 */
export const getSysInfo = () => {
    return $get({ url: "/system/info", reqConfig: { noToken: true, showMsg: false } });
};

/** 更新系统信息 */
export const updateSysInfo = data => {
    return $post({ url: "/system/info", data, reqConfig: { showMsg: true } });
};

/** 图片文件上传 */
export const apiUploadFile = data => {
    return $post({ url: "/files/upload", data });
};
